### Function

# Gcr Pkcs11Certificate lookup_issuer

#### Declaration [src]

    GcrCertificate*
    gcr_pkcs11_certificate_lookup_issuer (
      GcrCertificate* certificate,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup a the issuer of a `certificate` in the PKCS#11 storage. The lookup is done using the issuer DN of the certificate. No certificate chain verification is done. Use a crypto library to make trust decisions.

This call may block, see `gcr_pkcs11_certificate_lookup_issuer()` for the non-blocking version.

Will return `NULL` if no issuer certificate is found. Use `error` to determine if an error occurred.

#### Parameters

`certificate` | `GcrCertificate`
| A `GcrCertificate`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GcrCertificate`
| A new `GcrPkcs11Certificate`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.